Description

When creating a new hostgroup, a spinner in puppet class table under 'Parameters' tab appears and spins indefinitely.

To reproduce:

1) Configure > Hostgroups > New Hostgroup

2) select arbitrary Lifecycle Environment

3) select arbitrary Puppet Environment

4) go to 'Parameters' tab

5) spinner is spinning indefinitely as a result of failed call to the server

Root cause is that hostgroup id is expected in params (which naturally does not exists since hostgroup has not been created yet): 

https://github.com/theforeman/foreman/blob/develop/app/controllers/hostgroups_controller.rb#L93

And then in js function handling the call: 

https://github.com/theforeman/foreman/blob/develop/app/assets/javascripts/host_edit.js#L170-L199

Related issues:

Related to Foreman - Bug #11658: In host/hostgroup form, removing puppetclass... Rejected 09/02/2015

Related to Foreman - Bug #11465: In host/hostgroup parameters form, tables th... New 08/24/2015

Related to Katello - Bug #11713: Deface override breaks dropdown in hosts form Closed 09/07/2015

Related to Foreman - Bug #11761: Cloning of hostgroup redirects to host creation Closed 09/10/2015

Associated revisions

Revision ae7d8d5f - 09/07/2015 11:22 AM - Ondřej Pražák

Fixes #11683 - Fixed Hostgroup#new parameters spinner when Lifecycle selected

History

#1 - 09/04/2015 03:26 AM - Ondřej Pražák

- Related to Bug #11658: In host/hostgroup form, removing puppetclasses in 'Puppet classes' tab does not trigger call to server added

#2 - 09/04/2015 03:27 AM - Ondřej Pražák

- Related to Bug #11465: In host/hostgroup parameters form, tables that are empty should display helpful text added

#3 - 09/04/2015 03:40 AM - Dominic Cleal

- Category changed from Web Interface to Host groups

#4 - 09/07/2015 05:17 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2677 added

- Pull request deleted ()

#5 - 09/07/2015 09:32 AM - Ondřej Pražák
https://github.com/theforeman/foreman/blob/develop/app/controllers/hostgroups_controller.rb#L93
https://github.com/theforeman/foreman/blob/develop/app/assets/javascripts/host_edit.js#L170-L199


- Related to Bug #11713: Deface override breaks dropdown in hosts form added

#6 - 09/07/2015 12:02 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ae7d8d5ffd9c4b02f8be1b528efc2de474a6600e.

#7 - 09/08/2015 02:58 AM - Dominic Cleal

- Assignee set to Ondřej Pražák

- translation missing: en.field_release set to 63

#8 - 09/10/2015 04:22 AM - Marek Hulán

- Related to Bug #11761: Cloning of hostgroup redirects to host creation added
